%define upstream_name	 Module-Pluggable
%define upstream_version 5.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Simple plugins for Perl modules
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec) >= 3.0.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(if)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)

BuildArch: noarch

%description
This Perl module provides a simple but, hopefully, extensible way of having
'plugins' for your module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Module
%{perl_vendorlib}/Devel
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 5.200.0-3.mga6
+ Revision: 1030243
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 5.200.0-2.mga6
+ Revision: 969188
- Mageia 6 Mass Rebuild

* Thu Aug 13 2015 sander85 <sander85> 5.200.0-1.mga6
+ Revision: 864413
- update to 5.2

* Wed Oct 15 2014 umeabot <umeabot> 5.100.0-3.mga5
+ Revision: 750380
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.100.0-2.mga5
+ Revision: 685468
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 5.100.0-1.mga5
+ Revision: 585898
- update to 5.1

* Sat Oct 19 2013 umeabot <umeabot> 4.800.0-2.mga4
+ Revision: 526240
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 4.800.0-1.mga4
+ Revision: 436347
- update to 4.8
- perl 5.18.0 rebuild

* Wed Mar 27 2013 jquelin <jquelin> 4.500.0-3.mga3
+ Revision: 405513
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.500.0-2.mga3
+ Revision: 369943
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 4.500.0-1.mga3
+ Revision: 315529
- update to 4.5

* Mon Aug 27 2012 jquelin <jquelin> 4.300.0-1.mga3
+ Revision: 284597
- update to 4.3

* Thu Jan 05 2012 jquelin <jquelin> 4.0.0-1.mga2
+ Revision: 191438
- update to 4.0

* Sun Jun 12 2011 sander85 <sander85> 3.900.0-5.mga2
+ Revision: 104788
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 3.900.0-4.mga1
+ Revision: 30855
- mageia rebuild
- imported package perl-Module-Pluggable


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 3.900.0-4mdv2011.0
+ Revision: 564541
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 3.900.0-3mdv2011.0
+ Revision: 555287
- rebuild

* Thu Aug 06 2009 Jérôme Quelin <jquelin@mandriva.org> 3.900.0-2mdv2010.1
+ Revision: 410594
- seems that module is arch-dependant?!

* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 3.900.0-1mdv2010.0
+ Revision: 408864
- rebuild using %%perl_convert_version

* Wed Mar 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.9-1mdv2009.1
+ Revision: 357182
- new version

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 3.8-2mdv2009.0
+ Revision: 265418
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.8-1mdv2009.0
+ Revision: 193864
- update to new version 3.8

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 3.6-2mdv2008.1
+ Revision: 180481
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jul 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.6-1mdv2008.0
+ Revision: 48965
- update to new version 3.6


* Tue Mar 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.5-1mdv2007.0
+ Revision: 133696
- new version

* Tue Nov 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.4-1mdv2007.1
+ Revision: 87847
- new version

* Thu Nov 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.2-1mdv2007.1
+ Revision: 86555
- new version
- Import perl-Module-Pluggable

* Tue Jun 13 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.01-1mdv2007.0
- New release 3.01

* Wed Jun 07 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.0-1mdv2007.0
- New release 3.0
- spec cleanup

* Thu May 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.97-2mdk
- Fix According to perl Policy
	- Source URL

* Tue Feb 07 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.97-1mdk
- 2.97

* Thu Sep 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.96-1mdk
- New release 2.96

* Fri Aug 19 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.95-1mdk
- new release 
- fix sources url for rpmbuildupdate

* Sat Jul 16 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.9-1mdk
- 2.9

* Thu May 05 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.8-2mdk
- BuildRequires

* Thu May 05 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.8-1mdk
- First Mandriva release

